Page MenuHomePhabricator

Add accel-ppp as replacement for rp-pppoe
In progress, NormalPublicFEATURE REQUEST

Description

We need PPPoE server and seems that accel-ppp bit better than classic rp-pppoe
it supports radius integration and some other useful features like a shaper.
Also will allow us to add SSTP and PPTP servers
We may want to move L2TP too (requires testing)

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
syncer created this task.Jul 11 2018, 10:37 PM
syncer triaged this task as Normal priority.
syncer edited projects, added VyOS 1.2.x (VyOS 1.2.0-rc1); removed VyOS 1.2.x.
hagbard claimed this task.Jul 30 2018, 3:25 PM

It will come in 2 parts, the ppp server as a package first and then the rewrite for its config, hard to estimate the time it will need, let me first package accel-ppp.

@syncer I discovered a possible issue, accel-ppp is incompatible with the ip_gre driver, so using accel-ppp means you can't have gre tunnels anymore and vice versa. I'm not sure if accel-ppp is a good idea to integrate into vyos. Shall I continue with the packages or should we check if we can find anything compatible which doesn't interfere with router stuff. Not having gre is in my opinion a very significant issue.

@hagbard not having GRE on PPPoE server not a problem
we still need to see how we handle this and bunch of other issues
but we definitely need BRAS functionality

@hagbard if you want you can do cli part and we can ask do other stuff @dmbaturin and/or @UnicronNL
it's up to you
thanks!

@syncer It doesn't really matter to me, I was just concerned that if you have pppoe-server running, you can't use gre tunnels (the kernel module can't be loaded anymore).

syncer added a comment.Aug 1 2018, 7:05 AM

@hagbard yea, it's more about share work and involves other people in collaboration :)
You also may want to join accel-ppp telegram channel tg://join?invite=DS6swRC3DvEWdNijTqaaeA

All right, back here.

@syncer how do you get https://github.com/hagbard-01/vyos-accel-ppp into your repo?
It builds the accel-ppp package, which I then later will need for the cli stuff.

will add you to github org
move repo there, and for it back to your account

hagbard changed the task status from Open to In progress.Sep 5 2018, 8:12 PM

built a test setup for pptp, which works nicely, so I start with the implementation for the pptp replacement first.

hagbard changed the status of subtask T833: accel-ppp: pptp implementation from Open to In progress.Sep 6 2018, 7:46 PM
syncer changed the status of subtask T835: accel-ppp: pppoe implementation from Open to In progress.Sep 20 2018, 1:00 PM
hagbard changed the status of subtask T833: accel-ppp: pptp implementation from In progress to On hold.Mon, Oct 1, 8:33 PM